org.openmuc.openiec61850

## Interface ClientEventListener

    public interface ClientEventListener

The listener interface for receiving incoming reports and association closed events. A listener is registered through the `associate` method.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `associationClosed(java.io.IOException e)` Invoked when an IOException occurred for the association.
`void` `newReport(Report report)` Invoked when a new report arrives.

### Method Detail

#### newReport

    void newReport(Report report)

Invoked when a new report arrives. Note that the implementation of this method needs to be thread safe as it can be called in parallel if a new report arrives while an old one is still being processed.

Parameters:
  `report` - the report that arrived.

#### associationClosed

    void associationClosed(java.io.IOException e)

Invoked when an IOException occurred for the association. An IOException implies that the ClientAssociation that feeds this listener was automatically closed and can no longer be used to receive reports.

Parameters:
  `e` - the exception that occured.